<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\RoleModel;

class RoleModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(RoleModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(RoleModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(RoleModel::class);
    }
}
